GroovyDocTool (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.tools.groovydoc, class: GroovyDocTool

Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocTool

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocTool

public class GroovyDocTool extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Properties`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyDocTool(String[] sourcepaths)`
  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
  `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, String javaVersion, Properties properties)`
  Constructs a GroovyDocTool instance with the specified parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(List<String> filenames)`
  `GroovyRootDoc`
  `getRootDoc()`
  `void`
  `renderToOutput(OutputTool output, String destdir)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### properties

    protected Properties properties

- ## Constructor Details

  - ### GroovyDocTool

    public GroovyDocTool(String[] sourcepaths)
    Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
    Parameters:
      `sourcepaths` - where the sources to be added can be found

  - ### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

  - ### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, String javaVersion, Properties properties)
    Constructs a GroovyDocTool instance with the specified parameters.
    Parameters:
      `resourceManager` - the resource manager for handling resources, or null if not required
      `sourcepaths` - the paths to the source files to be processed
      `docTemplates` - the templates for generating documentation
      `packageTemplates` - the templates for generating package-level documentation
      `classTemplates` - the templates for generating class-level documentation
      `links` - a list of link arguments for external references
      `javaVersion` - the Java version to be used for parsing and processing Java source files
      `properties` - additional properties to be used when generating the groovydoc

- ## Method Details

  - ### add

    public void add(List<String> filenames) throws IOException
    Throws:
      `IOException`

  - ### getRootDoc

    public GroovyRootDoc getRootDoc()

  - ### renderToOutput

    public void renderToOutput(OutputTool output, String destdir) throws Exception
    Throws:
      `Exception`